### Struct

# Camel MessageContentInfo

#### Description

    struct CamelMessageContentInfo {
      CamelMessageContentInfo* next;
      CamelMessageContentInfo* childs;
      CamelMessageContentInfo* parent;
      CamelContentType* type;
      CamelContentDisposition* disposition;
      gchar* id;
      gchar* description;
      gchar* encoding;
      guint32 size;
    }

No description available.

###### Structure members

`next:` `CamelMessageContentInfo`

  No description available.

`childs:` `CamelMessageContentInfo`

  No description available.

`parent:` `CamelMessageContentInfo`

  No description available.

`type:` `CamelContentType`

  No description available.

`disposition:` `CamelContentDisposition`

  No description available.

`id:` `gchar*`

  No description available.

`description:` `gchar*`

  No description available.

`encoding:` `gchar*`

  No description available.

`size:` `guint32`

  No description available.

#### Constructors

###### camel_message_content_info_new

Allocate a new `CamelMessageContentInfo`.

###### camel_message_content_info_new_from_headers

No description available.

###### camel_message_content_info_new_from_message

No description available.

###### camel_message_content_info_new_from_parser

No description available.

#### Instance methods

###### camel_message_content_info_copy

No description available.

since: 3.24

###### camel_message_content_info_dump

No description available.

###### camel_message_content_info_free

Recursively frees the content info `ci`, and all associated memory.

###### camel_message_content_info_traverse

Calls the `func` for each `CamelMessageContentInfo`, including the top one. The `func` can return `TRUE` to continue processing or `FALSE` to stop it.